Subject: Leaf-leg true bugs

From: Tony Glenn <[email-masked]>
Date: Thu, 25 May 95 13:19:20 EDT

Is anyone familiar with the mating and feeding habits of leaf-leg bugs?
LatelyI've observed them mating and feeding on yucca in Athens, GA. Does
the plant gain anything in return for being a physical and nutritional
host?

Tony Glenn ([email-masked]) Dept. of Plant Pathology Univ. of
Georgia